Login
Newsletter
Werbung

Sicherheit: Mehrere Probleme in clamav
Aktuelle Meldungen Distributionen
Name: Mehrere Probleme in clamav
ID: openSUSE-SU-2019:1210-1
Distribution: SUSE
Plattformen: SUSE openSUSE Leap 15.0
Datum: Di, 16. April 2019, 16:35
Referenzen: https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2019-1787
https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2019-1788
https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2019-1789
Applikationen: Clam Antivirus

Originalnachricht

   openSUSE Security Update: Security update for clamav
______________________________________________________________________________

Announcement ID: openSUSE-SU-2019:1210-1
Rating: important
References: #1130721
Cross-References: CVE-2019-1787 CVE-2019-1788 CVE-2019-1789

Affected Products:
openSUSE Leap 15.0
______________________________________________________________________________

An update that fixes three vulnerabilities is now available.

Description:

This update for clamav to version 0.100.3 fixes the following issues:

Security issues fixed (bsc#1130721):

- CVE-2019-1787: Fixed an out-of-bounds heap read condition which may
occur when scanning PDF documents.
- CVE-2019-1789: Fixed an out-of-bounds heap read condition which may
occur when scanning PE files (i.e. Windows EXE and DLL files).
- CVE-2019-1788: Fixed an out-of-bounds heap write condition which may
occur when scanning OLE2 files such as Microsoft Office 97-2003
documents.

This update was imported from the SUSE:SLE-15:Update update project.


Patch Instructions:

To install this openSUSE Security Update use the SUSE recommended
installation methods
like YaST online_update or "zypper patch".

Alternatively you can run the command listed for your product:

- openSUSE Leap 15.0:

zypper in -t patch openSUSE-2019-1210=1



Package List:

- openSUSE Leap 15.0 (x86_64):

clamav-0.100.3-lp150.2.10.1
clamav-debuginfo-0.100.3-lp150.2.10.1
clamav-debugsource-0.100.3-lp150.2.10.1
clamav-devel-0.100.3-lp150.2.10.1
libclamav7-0.100.3-lp150.2.10.1
libclamav7-debuginfo-0.100.3-lp150.2.10.1
libclammspack0-0.100.3-lp150.2.10.1
libclammspack0-debuginfo-0.100.3-lp150.2.10.1


References:

https://www.suse.com/security/cve/CVE-2019-1787.html
https://www.suse.com/security/cve/CVE-2019-1788.html
https://www.suse.com/security/cve/CVE-2019-1789.html
https://bugzilla.suse.com/1130721

--
To unsubscribe, e-mail: opensuse-security-announce+unsubscribe@opensuse.org
For additional commands, e-mail: opensuse-security-announce+help@opensuse.org
Pro-Linux
Traut euch!
Neue Nachrichten
Werbung